- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MItSubdEdge Class Reference

# OpenMaya - API module for common classes

Search for all occurrences

## Detailed Description

Subdiv edge iterator.

This class is the iterator for subdiv edges.

`#include <MItSubdEdge.h>`

List of all members.

## Public Member Functions
| MItSubdEdge (MObject &subdObject, MStatus *ReturnStatus=NULL)
| Constructor.
virtual | ~MItSubdEdge ()
| Destructor.
MStatus | reset ()
| Reset the iterator to the first edge.
MStatus | next ()
| Advance to the next edge in the iteration.
bool | isDone (MStatus *ReturnStatus=NULL)
| Indicates if all of the edges have been traversed yet.
bool | isValid (MStatus *ReturnStatus=NULL) const
| Checks if the iterator is valid.
int | level (MStatus *ReturnStatus=NULL) const
| Returns the level of the subdiv object.
void | setLevel (int level, MStatus *ReturnStatus=NULL)
| Sets the level of the subdiv object.
MUint64 | index (MStatus *ReturnStatus=NULL)
| Returns the index of the current edge in the edge list for this subdiv object.
bool | isSharp (MStatus *ReturnStatus=NULL)
| Returns true if the edge is sharp.
void | setSharpness (bool sharp, MStatus *ReturnStatus=NULL)
| Marks the edge as sharp.
bool | isBoundary (MStatus *ReturnStatus=NULL)
| Checks if the edge is a boundary.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Constructor & Destructor Documentation

MItSubdEdge | ( | MObject & | subdObject,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Creates an iterator for all edges of the given subdiv surface.

Parameters:

  [in] | subdObject | The surface to iterate over
  [out] | ReturnStatus | Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

~MItSubdEdge | ( |  | ) | `[virtual]`

Destructor.

Frees up storage used by the iterator.

## Member Function Documentation

MStatus reset | ( |  | ) |

Search for all occurrences

Reset the iterator to the first edge.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus next | ( |  | ) |

Search for all occurrences

Advance to the next edge in the iteration.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

bool isDone | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Indicates if all of the edges have been traversed yet.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  - true All vertices have been traversed
  - false There are more vertices in the iteration

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

bool isValid | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Checks if the iterator is valid.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  bool Boolean to indicate whether the iterator is valid or not.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

int level | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the level of the subdiv object.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The level.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

void setLevel | ( | int | level,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Sets the level of the subdiv object.

Parameters:

  [in] | level | Level of the subdiv
  [out] | ReturnStatus | Status code

Returns:

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MUint64 index | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Returns the index of the current edge in the edge list for this subdiv object.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The index in the edge list for the current edge

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

bool isSharp | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Returns true if the edge is sharp.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  boolean indicating whether the edge is sharp or not.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

void setSharpness | ( | bool | sharp,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Marks the edge as sharp.

Parameters:

  [in] | sharp | Boolean to mark the edge as sharp or not
  [out] | ReturnStatus | Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

bool isBoundary | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Checks if the edge is a boundary.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  Boolean indicating whether the edge is boundary or not.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge
MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge MItSubdEdge